Bug 21212 - ext3 panic
ext3 panic
Status: CLOSED RAWHIDE
Product: Red Hat High Availability Server
Classification: Retired
Component: ext3 (Show other bugs)
beta
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Wil Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-21 19:36 EST by Sam Varshavchik
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 19:36:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2000-11-21 19:36:29 EST
Got a kernel panic at system shutdown, after initscripts said "Unmounting
file systems".

This is with the released ext3 kernel RPMs, i586 version, with the root
partition on ext3:

Assertion failure in journal_flush() at journal.c: line 819
"journal->j_head == journal->j_fail"
Unable to handle kernel NULL pointer dereference at virtual address
00000000
current->tss.cr3 = 021c9000, %cr3 = 021c9000
*pde = 0000000


I shut down the system immediately after extreme load (this was a poor
PII-200, and I just installed glibc, glibc-devel, and openssh errata). 
After the system rebooted, I verified that the installed packages were OK.
Comment 1 Stephen Tweedie 2000-11-22 05:01:54 EST
It's a known problem with remounting a filesystem readonly, and is fixed in more
recent versions. There is no risk of data corruption from it.

Note You need to log in before you can comment on or make changes to this bug.